%define oname splittable_random

Name:           ocaml-%{oname}
Version:        0.13.0
Release:        %mkrel 0.4
Summary:        PRNG that can be split into independent streams

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam

BuildRequires:  ocaml-base >= 0.11
BuildRequires:  ocaml-migrate-parsetree >= 1.0
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-ppx_assert-devel
BuildRequires:  ocaml-ppx_bench-devel
BuildRequires:  ocaml-ppx_inline_test-devel
BuildRequires:  ocaml-ppx_sexp_message-devel

%description
PRNG that can be split into independent streams

A splittable pseudo-random number generator (SPRNG) functions like a PRNG in
that it can be used as a stream of random values; it can also be \"split\"
to produce a second, independent stream of random values.

This library implements a splittable pseudo-random number generator that
sacrifices cryptographic-quality randomness in favor of performance.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%doc LICENSE.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.13.0-0.4.mga8
+ Revision: 1670825
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.13.0-0.3.mga8
+ Revision: 1551934
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 0.13.0-0.2.mga8
+ Revision: 1545111
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 0.13.0-0.1.mga8
+ Revision: 1483997
- add more BRs
- BR ocaml-ppx_sexp_message-devel
- new release + rebuild for ocaml-4.10

* Wed Oct 24 2018 pterjan <pterjan> 0.11.0-1.mga7
+ Revision: 1324931
- Fix file list
- imported package ocaml-splittable_random

